function [nameList] = listFolder(path)
% LISTFOLDER  reads files from path and  returns a list of file names.
%  
% Inputs
%
%   path: path to folder.
%   
% Outputs
%
%   nameList: list of file names
%   
%   

% Load vlfeat and matconvnet tools
start;

% read directory struct
list = dir(path);

% remove directory name from list (., ..)
for k = length(list):-1:1   
    if list(k).isdir
        list(k) = [];
        continue
    end
end

if isempty(list)
    error('%d: no files at %s\n', mfilename, path); 
end

% make list from images source and segmentation file names 
nameList = {list.name};

end


