function start(varargin)
% START run this function the first time you use this software.
% It configures and compile MatConvNet. 

% do it like this exemple:
% Remember to set your path to CUDA and CUDNN.
%       start('compile', true, 'cudaRoot', 'your path to cuda',... 
%             'cudnnRoot', your path to cudnn);

% after you do this, forget this file. Soft calls it when needed disabling
% compile option.

addpath(fullfile('matconvnet-1.0-beta24', 'matlab'));

run(fullfile('vlfeat-0.9.20', 'toolbox', 'vl_setup')) ;

vl_setup_path = fullfile('matconvnet-1.0-beta24', 'matlab', 'vl_setupnn');
opts.cudaRoot = fullfile('/usr', 'local', 'cuda-8.0');
opts.cudnnRoot = fullfile('/usr', 'local', 'cuda-8.0');
opts.compile = false;
opts = vl_argparse(opts, varargin) ;

if(opts.compile)
    fprintf('\n compiling...... Wait\n'); 
    vl_compilenn('enableGpu', true, ...
               'cudaMethod', 'nvcc', ...
               'cudaRoot', opts.cudaRoot, ...
               'enableCudnn', true, ...
               'cudnnRoot', opts.cudnnRoot) ;
end

run (vl_setup_path) ;
