function y = fyrandperm(x)
% FYRANDPERM - Shuffles elements in random order.
%
%    Y = FYRANDPERM(X)
%    If X is a real matrix or vector then Y contains the elements 
%    of X in random order. If X is a real scalar then Y contains 
%    1:X in random order.
%
%    The Fisher-Yates shuffle algorithm is used as suggested by 
%    Peter J. Acklam in news:comp.soft-sys.matlab.

%    Joakim Lbeck, 2001-06-21

n = prod(size(x));
if n == 1
   n = x;
   x = 1:n;
end

y = fyrandperm_mex(x,rand(1,n));
