function generate( size, augments )
%GENERATE create synthetic images
%  Generate square images of dimensions size x size 
%  inside the generated black image a randomized values centered square is 
%  placed just starts covering 50 percent of dimension and generate images
%  until 0 percent is reached


% augments: how many times repeat the process for every image ( each one is
% different from another because random center square values) 
sz = size;

path_seg = fullfile('prova_seg');
path_data = fullfile('prova_data');
if ~exist(path_seg, 'dir'), mkdir(path_seg); end
if ~exist(path_data, 'dir'), mkdir(path_data); end

for k = 0:((sz/4)-1)   
    seg = zeros(sz);
    for i = k+1:(sz/2)-k
        for j = k+1:(sz/2)-k
            seg((sz/4)+i,(sz/4)+j) = 1;
        end
    end
    for n = 1:augments
        img = zeros(sz); 
        square = round(rand((sz/2)-2*k)*255);
        img((sz/4)+k+1:sz-(sz/4)-k,(sz/4)+k+1:sz-(sz/4)-k) = square;
        filename_seg = fullfile('prova_seg', ['img' int2str(k) '_' int2str(n) '.png']);
        filename_data = fullfile('prova_data', ['img' int2str(k) '_' int2str(n) '.png']);
        imwrite(uint8(seg), filename_seg);
        rgb = cat(3, img, img, img);
        imwrite(uint8(rgb), filename_data);
    end
        
end
end

