function ratio = getFSContrast ( img, mask )
%GETCONTRAST compute |mean intensity of ROI - mean intensity of
% background| over 255
mask = mask-1;
 % avoid 0 division, absolute difference ROI-BCK remains unaltered
img = img + 1;
% Compute the mean color intensity of ROI (iROI)
ROI = img .* mask; % ROI =>1 * intensity, background => zero
iROI = mean(ROI(ROI>0)); % mean intensity at ROI


% Compute the mean intensity of background (iROI)
negmask = 1-mask; 
BCK = img .* negmask;  % ROI => 0, background => 1 * intensity
iBCK = mean(BCK(BCK>0)); % mean intensity at BCK

% Get contrast as ROI/BCK percent
% Max contrast is 100 * ((255-0)/255) = 100 %
ratio = abs(iROI-iBCK)/2.55;