function [sensitivity, specificity, precision, accuracy, jaccard, dice] =  getResults(confusion)
%GETRESULTS read confusion matrix and compute some stats
tp = confusion(9);
fn = confusion(6);
fp = confusion(8);
tn = confusion(5);

sensitivity = tp/(tp + fn);
specificity = tn/(tn + fp);
precision = tp/(tp + fp);
accuracy = (tp + tn)/(tp + tn + fp + fn);
jaccard = tp /(tp + fp + fn);
dice = 2*tp / (2*tp +fp + fn);%f1 score
%{

fprintf('Sensitivity: %f\n', sensitivity);
fprintf('Specificity: %f\n', specificity);
fprintf('Accuracy: %f\n', accuracy);
fprintf('Jaccard index: %f\n', jaccard);
fprintf('Dice sorensen: %f\n', dice);

[path,name,ext] = fileparts(file);
fileid = fopen(fullfile(path, 'stats.txt'), 'w');

fprintf(fileid, 'Sensitivity: %f\n', sensitivity);
fprintf(fileid, 'Specificity: %f\n', specificity);
fprintf(fileid, 'Accuracy: %f\n', accuracy);
fprintf(fileid, 'Jaccard index: %f\n', jaccard);
fprintf(fileid, 'Dice sorensen: %f\n', dice);
fclose(fileid);
%}
