% Auxiliar file used in debugging and developing
function imadjustlist( inputfolder, outputfolder )

datalist = listFolder(inputfolder);% read images from source data folder

if nargin == 2
    if ~exist(outputfolder, 'dir'), mkdir(outputfolder); end 
else
    outputfolder = fullfile(inputfolder, 'output');
    if ~exist(outputfolder, 'dir'), mkdir(outputfolder); end 
end


for i=1:numel(datalist)
    nameData = fullfile(inputfolder, datalist(i));
    I = imread(nameData{1});
    Imin = double(min(I(:)))/255;
    Imax = double(max(I(:)))/255;
    out = imadjust(I,[Imin;Imax],[]);
    filename = fullfile(outputfolder, datalist(i));
    imwrite(out, filename{1});
end
    